cocoon-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Gerhard Hipfinger <gerhard.hipfin...@openforce.at>
Subject Re: NoValidConnectionException: No valid JdbcConnection class available
Date Wed, 12 Jun 2002 18:29:35 GMT
Hi!

I use the current cvs snapshot, and it is working with mm.mysql jdbc 
driver and jdk 1.4. It seems the new excalibur version is already in 
2.1-dev.

Gerhard

Brian P. Millett wrote:

>Configuration:
>Using CATALINA_BASE:   /opt2/jakarta-tomcat-4.0.4-b3
>Using CATALINA_HOME:   /opt2/jakarta-tomcat-4.0.4-b3
>Using CATALINA_TMPDIR: /opt2/jakarta-tomcat-4.0.4-b3/temp
>Using JAVA_HOME:       /usr/j2se
>
>Solaris 8, jdk 1.4, postgresql 7.2, mysql 4.01
>
>>>From cocoon.xconf:
>  <datasources>
>    <jdbc name="personnel">
>      <pool-controller max="10" min="5"/>
>      <auto-commit>true</auto-commit>
>      <dburl>jdbc:postgresql://localhost:5432/test</dburl>
>      <user>XXXX</user>
>      <password>XXXX</password>
>    </jdbc>
>    <jdbc name="mobot">
>      <pool-controller max="10" min="5"/>
>      <auto-commit>true</auto-commit>
>      <dburl>jdbc:postgresql://localhost:5432/ids_tropicos</dburl>
>      <user>XXXX</user>
>      <password>XXXX</password>
>    </jdbc>
>    <jdbc name="tropicos">
>      <pool-controller max="10" min="5"/>
>      <auto-commit>true</auto-commit>
>      <dburl>jdbc:mysql://tropicos:3306/ids_tropicos</dburl>
>      <user>XXXX</user>
>      <password>XXXX</password>
>    </jdbc>
>  </datasources>
>
>from web.xml
>    <init-param>
>      <param-name>load-class</param-name>
>      <param-value>
>        <!-- For PostgreSQL Database Driver: -->
>        org.postgresql.Driver
>        <!-- For MySQL Database Driver: -->
>        org.gjt.mm.mysql.Driver        
>      </param-value>
>    </init-param>
>
>I get this error in my sitemap.log
>ERROR   (2002-06-12) 12:02.09:800  
>[sitemap.generator.serverpages](/cocoon/xsp/esql)
>HttpProcessor[8080][4]/esql_xsp: Could not get the datasource
>org.apache.avalon.excalibur.datasource.NoValidConnectionException: No
>valid JdbcConnection class available
>	at
>org.apache.avalon.excalibur.datasource.JdbcConnectionFactory.newInstance(JdbcConnectionFactory.java:183)
>	at
>org.apache.avalon.excalibur.pool.ResourceLimitingPool.newPoolable(ResourceLimitingPool.java:491)
>	at
>org.apache.avalon.excalibur.pool.ValidatedResourceLimitingPool.newPoolable(ValidatedResourceLimitingPool.java:140)
>	at
>org.apache.avalon.excalibur.datasource.ResourceLimitingJdbcConnectionPool.newPoolable(ResourceLimitingJdbcConnectionPool.java:81)
>	at
>org.apache.avalon.excalibur.pool.ResourceLimitingPool.get(ResourceLimitingPool.java:314)
>	at
>org.apache.avalon.excalibur.pool.ValidatedResourceLimitingPool.get(ValidatedResourceLimitingPool.java:91)
>	at
>org.apache.avalon.excalibur.datasource.ResourceLimitingJdbcDataSource.getConnection(ResourceLimitingJdbcDataSource.java:131)
>	at
>org.apache.cocoon.www.docs.samples.xsp.esql_xsp.generate(/opt2/jakarta-tomcat-4.0.4-b3/work/Standalone/localhost/cocoon/cocoon-files/org/apache/cocoon/www/docs/samples/xsp/esql_xsp.java:338)
>
>
>Any ideas other than "use jdk 1.3.1"?  Is this a JNDI problem or a JDBC
>problem?
>
>Thanks.
>




---------------------------------------------------------------------
Please check that your question  has not already been answered in the
FAQ before posting.     <http://xml.apache.org/cocoon/faq/index.html>

To unsubscribe, e-mail:     <cocoon-users-unsubscribe@xml.apache.org>
For additional commands, e-mail:   <cocoon-users-help@xml.apache.org>


Mime
View raw message